{% extends 'profile/ppbd/layouts/admin/admin_layout.html' %}
{% load static %}
{% block css %}
    <link rel="stylesheet" type="text/css" href="{% static 'admin/css/datatables/datatables.min.css' %}">
    <style>
        .img-bagss {
            position: absolute;
            top: 0;
            background-color: rgba(255, 0, 0, 0.8);
            text-align: center;
            font-weight: 500;
            line-height: 16px;
            padding: 5px 10px;
            color: #FFFFFF;
            border-radius: 5px 5px 5px 0;
        }
        .img-bagss .tag-bln { font-size: 15px; }
        .tdx{
            max-width: 200px;
            word-wrap: break-word;
        }
    </style>
{% endblock css %}
{% block navbar %}
    {% include 'profile/layouts/admin/navbar.html' %}
{% endblock navbar %}

{% block main %}
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{% url 'profile:admin_home' %}">Home</a></li>
            <li class="breadcrumb-item active" aria-current="page">Setting Berita PPDB</li>
        </ol>
    </nav>

    {% if messages %}
        {% for message in messages %}
            <div class="alert {{ message.tags }} my-2" role="alert">
                {{message}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>  
        {% endfor %}
    {% endif %}

    <div class="card shadow mb-5">
        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
            <h6 class="m-0 font-weight-bold text-info">Daftar Berita PPDB</h6>
        </div>
        <div class="card-body">
            <a href="{% url 'profile:adm_ppdb_berita_create' %}"> 
                <button type="button" class="btn btn-info mt-0 mb-3"><i class="bi bi-plus"></i> Tambah Berita PPDB</button>
            </a>
            <button class="btn btn-danger pass-data mt-0 mb-3" 
                data-toggle="modal" data-target="#modal-center"><i class="bi bi-search"></i> Lihat Data Arsip
            </button>
            <table class="table table-striped table-bordered dt-responsive" id="table-list">
                <thead class="bg-info text-white">
                    <tr>
                        <th scope="col" class="text-center">No</th>
                        <th scope="col" class="text-center">Thumb</th>
                        <th scope="col" class="text-center">Judul</th>
                        <th scope="col" class="text-center">Deskripsi</th>
                        <th scope="col" class="text-center">Aksi</th>
                    </tr>
                </thead>
                <tbody>
                    {% for dt in data_list %}
                        <tr>
                            <td align='center'>{{forloop.counter}}</td>
                            <td align='center'><img src="{{ dt.thumbnail.url }}" alt="" class="img-fluid card-img-top" style="width: 100px;"></td>
                            <td align='left'>{{ dt.title }}</td>
                            <td align='left'>{{ dt.content  | safe | truncatewords:8 }}</td>
                            <td>
                                <div class="d-flex align-items-center justify-content-center px-0 py-0 mt-0">
                                    <a class="btn btn-success btn-circle mr-3 mb-0" 
                                        href="{%  url 'profile:adm_ppdb_berita_edit' dt.slug %}"
                                        data-toggle="tooltip" data-placement="top" title="Edit">
                                        <i class="bi bi-pencil"></i>
                                    </a>
                                    <a href="#" class="btn btn-danger btn-circle mr-3 mb-0" 
                                        onclick="delete_('soft_delete', `{{ dt.title }}`, '{{ dt.slug }}', 'berita', 'Berita')"
                                        data-toggle="tooltip" data-placement="top" title="Arsipkan">
                                        <i class="bi bi-archive"></i>
                                    </a>
                                </div>
                            </td>
                        </tr>
                   {% endfor %}
                </tbody>
            </table>
        </div>
    </div>

    <div class="modal fade" id="modal-center" tabindex="-1" role="dialog" aria-labelledby="modal-centerTitle" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-xl" role="document">
            <div class="modal-content">
                <div class="modal-header">
                <h5 class="m-0 font-weight-bold text-info" id="exampleModalLongTitle">Daftar Data Arsip</h5>
                <button type="button" class="close text-info" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
                </div>
                <div class="modal-body">
                    {% include 'profile/ppbd/layouts/admin/berita/arsip.html' %}
                </div>
            </div>
        </div>
    </div>
{% endblock main %}

{% block footer %}
    {% include 'profile/layouts/admin/footer.html' %}
{% endblock footer %}

{% block scripts_bawah %}
    <script src="{% static 'admin/js/datatables/datatables.min.js' %}"></script>
    <script src="{% static 'ppbd/js/admin-aksi.js' %}"></script>
    <script>
        $(document).ready( function () {
            $('[data-tooltip="tooltip"]').tooltip();
            $('#table-list').DataTable({
                responsive: true,
            });
            $('#table-archive').DataTable({
                responsive: true,
            });           
        });
    </script>
{% endblock scripts_bawah %}